Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchCodeGen extends Interface

  Factory methods used by TreeMakers to make the actual trees.

  Factory methods used by TreeMakers to make the actual trees.

  We have two modes in which to emit trees: optimized (the default) and pure (aka "virtualized": match is parametric in its monad).

  Definition Classes
    patmat
-  trait CodegenCore extends MatchMonadInterface
  Definition Classes
    MatchCodeGen
- AbsCodegen
- Casegen
- CommonCodegen

t

scala.tools.nsc.transform.patmat.MatchCodeGen.CodegenCore

# Casegen 

###

#### trait Casegen extends AbsCodegen

Source
  MatchCodeGen.scala

Linear Supertypes
AbsCodegen, AnyRef, Any
Known Subclasses
OptimizedCasegen, pureCodegen
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Casegen
2. AbsCodegen
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def _asInstanceOf(b: Global.Symbol, tp: Global.Type): Global.Tree
   Definition Classes
     AbsCodegen
2.  abstract def _equals(checker: Global.Tree, binder: Global.Symbol): Global.Tree
   Definition Classes
     AbsCodegen
3.  abstract def _isInstanceOf(b: Global.Symbol, tp: Global.Type): Global.Tree
   Definition Classes
     AbsCodegen
4.  abstract def drop(tgt: Global.Tree)(n: Int): Global.Tree
   Definition Classes
     AbsCodegen
5.  abstract def flatMap(prev: Global.Tree, b: Global.Symbol, next: Global.Tree): Global.Tree
6.  abstract def flatMapCond(cond: Global.Tree, res: Global.Tree, nextBinder: Global.Symbol, next: Global.Tree): Global.Tree
7.  abstract def flatMapGuard(cond: Global.Tree, next: Global.Tree): Global.Tree
8.  abstract def index(tgt: Global.Tree)(i: Int): Global.Tree
   Definition Classes
     AbsCodegen
9.  abstract def matcher(scrut: Global.Tree, scrutSym: Global.Symbol, restpe: Global.Type)(cases: List[(Casegen) ⇒ Global.Tree], matchFailGen: Option[(Global.Tree) ⇒ Global.Tree]): Global.Tree
   Definition Classes
     AbsCodegen
10.  abstract def mkZero(tp: Global.Type): Global.Tree
    Definition Classes
      AbsCodegen
11.  abstract def one(res: Global.Tree): Global.Tree
12.  abstract def tupleSel(binder: Global.Symbol)(i: Int): Global.Tree
    Definition Classes
      AbsCodegen
13.  abstract def zero: Global.Tree
    Attributes
      protected

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Casegen to any2stringadd[Casegen] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Casegen, B)
   Implicit
     This member is added by an implicit conversion from Casegen to ArrowAssoc[Casegen] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (Casegen) ⇒ Boolean, msg: ⇒ Any): Casegen
   Implicit
     This member is added by an implicit conversion from Casegen to Ensuring[Casegen] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Casegen) ⇒ Boolean): Casegen
   Implicit
     This member is added by an implicit conversion from Casegen to Ensuring[Casegen] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): Casegen
    Implicit
      This member is added by an implicit conversion from Casegen to Ensuring[Casegen] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Casegen
    Implicit
      This member is added by an implicit conversion from Casegen to Ensuring[Casegen] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Casegen to StringFormat[Casegen] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  def ifThenElseZero(c: Global.Tree, thenp: Global.Tree): Global.Tree
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  def →[B](y: B): (Casegen, B)
    Implicit
      This member is added by an implicit conversion from Casegen to ArrowAssoc[Casegen] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AbsCodegen

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Casegen to any2stringadd[Casegen]

### Inherited by implicit conversion StringFormat from Casegen to StringFormat[Casegen]

### Inherited by implicit conversion Ensuring from Casegen to Ensuring[Casegen]

### Inherited by implicit conversion ArrowAssoc from Casegen to ArrowAssoc[Casegen]

### Ungrouped